<?xml version="1.0" encoding="UTF-8"?>
<flexsim-tree version="1" treetype="userlibrary">
<node f="43-1" dt="4"><name>RailAPI</name><data>
 <node f="40-0"><name></name></node>
 <node f="42-0"><name>newmodelinstall</name>
  <node f="40-0"><name></name></node>
  <node f="42-0" dt="4"><name>addrailmove</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addrailmove</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addrailmove_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a rail move operation to a rail sequence. Specify the path that the railmove applies to. Distance is measured from the first node of the edge, where the first node is the node you dragged from when 'A' connecting. Length is the total amount of space that the set of travelers will take up, or the train size. The travelers will travel the total distance of the edge(s) minus the length, meaning the length will be completely inclusive within the distance of the edge(s). Specify viaedge if you want to travel through a particular edge on the way to the destination edge. This command returns a reference to a node representing the rail move operation.  For more information, refer to createrailsequence(). If deallocateid is not 0, then as the train clears edges on the network, it will deallocate those edges, based on the given id. Refer to couplerailtraveler for more information on the coupledecoupleoffset parameter.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence, node railpath, num speed, num acc, num dec, num length, num deallocateid [, num coupledecoupleoffset])</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addrailmove(sequence, createrailpath(5, 4.2, 7, 3.4,3), 1,0,0,10, 1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addrailtraveler</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addrailtraveler</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addrailtraveler_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a rail traveler to a rail sequence or a rail move operation. If no objects are added to an individual rail move, then the rail sequence's object list will be used for the move operation. The offset is the distance from a user chosen zero point for a given rail move. If you have built your network by dragging connections from left to right in your model, then the zero offset point is typically the right most point of a set of travelers on the network. The offset proceeds to the left from that point. Use only positive values for the offset. For more information, see createrailsequence().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railsequence, obj traveler, num offset)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addrailtraveler(sequence, current, 0)</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>couplerailtraveler</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>couplerailtraveler</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"couplerailtraveler_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Couples a rail traveler to a given move of a sequence. 
The addrailtraveler() command is used to add the initial set of travelers to a rail sequence.
However, at different times during the sequence, the train may couple/decouple certain members of the set
of travelers. Use the couplerailtraveler() and decouplerailtraveler() commands to do this. While
the addrailtraveler command is performed on a rail sequence, and sets the initial travelers for
that sequence, couplerailtraveler and decouplerailtraveler should be performed on an individual
rail move in that sequence. The addrailmove command returns a reference to that rail move,
and this return value should be passed into the first parameter of couplerailtraveler and 
decouplerailtraveler. couplerailtraveler will couple the traveler onto the train as part of that
rail move (before the rail move starts as opposed to after the rail move finishes) with the 
associated offset from the head of the train. The traveler will remain a part of the train until
the sequence finishes or the traveler is decoupled in a later move with the decouplerailtraveler
command. If you couple/decouple traveler(s) onto the "head" side of the train, then when you call addrailmove,
you will need to pass in a non-zero value for the "coupledecoupleoffset" parameter of addrailmove. The
reason for this is because, by the fact that you have added a new set of travelers onto the "head"
side of the train, you have changed the location of the "head" of the train, and the offset
locations for the other travelers on the train must be adjusted to take that into account. For example,
if for a given move you add two cars onto then head of the train, and their cumulative sizes adds 30 
meters to the train's size, then you should specify 30 as the coupledecoupleoffset parameter of 
addrailmove(). If you decouple two cars for a given move, and they decrease the train size by 30 meters 
then you should specify -30 as the coupledecoupleoffset. Once you've specified the proper 
coupledecoupleoffset, you should couple the travelers with the offset based on the new head of the train,
i.e. the new front car should have an offset of 0. If you couple/decouple travelers from the
tail end of the train, then you should specify 0 as the coupledecoupleoffset parameter. Note that the
"head" of each train is based on the order in which you connect the network. For example, if you connect
the rail network nodes from left to right, then the head of a train will always be on the right side.
</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove, obj traveler, num offset)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>couplerailtraveler(sequence, current, 0)</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>decouplerailtraveler</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>decouplerailtraveler</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"decouplerailtraveler_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deouples a rail traveler to a given move of a sequence. Refer to couplerailtraveler for more information.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove, obj traveler)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>decouplerailtraveler(sequence, current, 0)</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>createrailsequence</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>createrailsequence</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"createrailsequence_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Creates and returns a reference to a rail sequence. A rail sequence is a sequence of move/message/delay/wait operations that are performed on a set of traveler objects.  For instance, you can create a rail sequence to move a set of travelers from one point on your model's travel network to another point.

The procedure for creating a rail sequence is as follows. First, your network (composed of standard NetworkNodes) must be built in such a way that it represents a directed graph with no cycles. What this means is, you must “A?connect your network nodes uniformly in one direction. If you decide to connect your nodes from left to right, then there should be no instance where you “A?connect a node back to a previous node, from right to left. To help you out, each network edge will display a red line with a dot on one end. The dots should always be on the same end of the line for all edges in the network.

Once you've created a travel network and want to create a rail sequence for a set of travelers, call createrailsequence() and get the return value back as an fsnode*. Then, using the return value pointer, add to the sequence the objects (travelers) that will be associated with this rail sequence by using the addrailtraveler() command. The travelers may be any object so long as they have  spatial and visual attributes.

With each traveler added, you will need to specify an offset distance.  This is an offset distance from an arbitrary zero point chosen for the set of travelers.  If you've connected your network from left to right, the zero point for a set of travelers will typically be chosen as the far right surface of the traveler that is furthest to the right along the rail network.  When adding travelers, begin with the traveler furthest to the right and work left until all travelers for the sequence have been added.  Each traveler should be given an offset value equal to the total length of previously added travelers plus half its own length.

Once you've added all rail travelers for the sequence, you will add operations to the rail sequence. These operations will be executed in the order that you add them. There are four different types of operations you can add to a rail sequence: 1) Rail Move Operation, 2) Rail Send Message Operation, 3) Rail Delay Operation, 4) Rail Wait Operation.  A rail sequence may be made up of any number and any order of these operations.

1) Rail Move Operation: a rail move operation is added with the addrailmove() command. You must first create a rail path that is associated with the move operation, using the createrailpath() command. In creating the path, ou specify a travel operation from one point on a network edge to another point on a network edge. The origin and destination points may be on the same edge or on different edges of the network.  You will declare both points by entering an edge number (or name) and a distance along the edge. Entered distances are measured from the first node of the edge, meaning the node you "A" connected from when creating the edge. When choosing the origin and destination points, keep in mind that it will be the outer most surfaces of the train that will travel between the two points. This means that for a train that will travel left to right, you will specify the origin point as the point associated with the far left surface of the train, and the destination point as the point where you want the far right surface of the train to travel to.  The length of the train will be inclusive in the total distance between the origin and destination points.  Shortest distance algorithms are employed to define the route between the two points; however you may also specify a "via edge" to have further control of the actual route taken. The addrailmove() command returns a reference to the move operation allowing you to add travelers to this move operation should the set of travelers for this move operation be different than the set of travelers specified for the whole sequence.

2) Rail Send Message Operation: add a rail send message operation with the addrailsendmessage() command. This causes the rail sequence to send a message to a specified object with a specified message code. The msgsendingobject of the message will be the sequence node. 

3) Rail Delay Operation: add a rail delay operation with the addraildelay() command. This causes the rail sequence to pause for a specified length of time before continuing to the next operation in the sequence.

4) Rail Wait Operation: add a rail wait operation with the addrailwait() command. This causes the rail sequence to pause for an indefinite length of time before continuing to the next operation. The rail sequence will not continue until the continuefromrailwait() command is executed independent of the rail sequence.

5) Once you have added all the elements that are needed for the rail sequence, call startrailsequence() to start the train moving. You can wait any amount of time before calling startrailsequence() and the train will not move along the rail sequence until startrailsequence() is called.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>()</data></node>
     <node f="42-0" dt="2"><name>example</name><data>fsnode * sequence = createrailsequence();
addrailtraveler(sequence,trav1,xsize(trav1)/2);
addrailtraveler(sequence,trav2,xsize(trav1) + xsize(trav2)/2);
addrailtraveler(sequence,trav3,xsize(trav1) + xsize(trav2) + xsize(trav3)/2);
addrailmove(sequence, 1,5, 4,7, 1,.5,.5, xsize(trav1) + xsize(trav2) + xsize(trav3));
addraildelay(sequence,1200);
fsnode *moveop2 = addrailmove(sequence, 4,7,6,8, 1,.5,.5, xsize(trav1));
addrailtraveler(moveop2,trav1,xsize(trav1)/2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addrailsendmessage</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addrailsendmessage</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addrailsendmessage_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a send message operation to a rail sequence. If delaytime is nonzero, it will send a delayed message instead of a direct message. The msgsendingobject for the message will be the fromobj. For more information, see createrailsequence().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence, node toobject, node fromobj, num code, num delaytime)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addrailsendmessage(sequence, current, fromobj, 1, 30);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addraildelay</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addraildelay</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addraildelay_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a rail delay operation to a rail sequence. The next operation in the rail sequence must wait until the specified delay time has transpired. For more information, see createrailsequence().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence, num delaytime)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addraildelay(sequence,1200);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addrailwait</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addrailwait</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addrailwait_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a rail wait operation to a rail sequence. When this operation is performed, the rail sequence will not proceed its next operation until continuefromrailwait() is called on the sequence. For more information, see createrailsequence()</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addrailwait(sequence);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>continuefromrailwait</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>continuefromrailwait</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"continuefromrailwait_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Finishes a rail sequence's current wait operation. For more information, see createrailsequence()</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>continuefromrailwait(sequence);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>allocateedge</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>allocateedge</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"allocateedge_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Allocates a subsection of the specified edge as defined by a starting point and distance along the edge with the given id as a tag for that allocation. The starting point is defined as a distance from the first NetworkNode of the edge, meaning the NetworkNode you "A"-click-dragged from when creating the edge. Please note that allocations do not affect any functionality with respect to traveling on the network, or traveling using rail sequences. It is only a mechanism for storing network edge allocation/deallocation data. Each allocation represents a specific distance along a network edge. Each edge can have any number of allocations, but the allocations cannot overlap. If a call to allocateedge causes an overlap, then the overlapping section will be overwritten with the new allocation, and the old allocation will be truncated or removed. Use getedgeminallocated() and getedgemaxallocated() to query if and how much of an edge is allocated. As allocations are made for a given edge, they are sorted according to distance from the first NetworkNode of the edge.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num startpoint, num dist, num id [, num accumulate])</data></node>
     <node f="42-0" dt="2"><name>example</name><data>int allocation_id = allocateedge(2,5.5,12.6);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>deallocateedge</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>deallocateedge</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"deallocateedge_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deallocates the allocation on the specified edge with the specified id.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num id)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>deallocateedge(2,allocation_id);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>deallocateedgebypoint</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>deallocateedgebypoint</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"deallocateedgebypoint_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deallocates the edge's allocation that includes the point defined by the specified distance along the edge.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num point)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>deallocateedgebypoint(2,26.4);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>deallocateedgebyrank</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>deallocateedgebyrank</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"deallocateedgebyrank_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deallocates the edge's allocation with the specified rank.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num rank)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>deallocateedgebyrank(2,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgeminallocated</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgeminallocated</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgeminallocated_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the minimum distance point of the edge's first ranked allocation (allocations are automatically sorted by their location on the edge).  If the edge has no allocations, -1 is returned.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgeminallocated(2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgemaxallocated</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgemaxallocated</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgemaxallocated_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the maximum distance point of the edge's last ranked allocation (allocations are sorted by their location on the edge).  If the edge has no allocations, -1 is returned.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgemaxallocated(2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgenrallocated</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgenrallocated</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgenrallocated_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total number of current allocations for the edge.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgenrallocated(2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgeallocatedstartpoint</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgeallocatedstartpoint</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgeallocatedstartpoint_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the start distance of the edge's nth ranked allocation.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num rank)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgeallocatedstartpoint(2,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgeallocatedid</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgeallocatedid</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgeallocatedid_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the id of the edge's nth ranked allocation.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num rank)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgeallocatedid(2,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgeallocateduserdatanode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgeallocateduserdatanode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgeallocateduserdatanode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to a treenode associated with the edge's nth ranked allocation.  This can be used to define custom information on the allocation, such as create couplings between the allocation and objects in the model that are associated with that allocation. Note that if you store data using this node, then you should not later split the allocation (by putting another allocation in the middle of this allocation, splitting it in two) because the data stored in the node will not be copied on the new allocation that is created from the split.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num rank)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgeallocateduserdatanode(2,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgefromallocateduserdatanode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgefromallocateduserdatanode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgefromallocateduserdatanode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the edge number associated with an allocation's user data node. Refer to getedgeallocateduserdatanode for more information.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node userdatanode)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgefromallocateduserdatanode(mydatanode);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrankfromallocateduserdatanode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrankfromallocateduserdatanode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrankfromallocateduserdatanode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the allocation rank associated with an allocation's user data node. Refer to getedgeallocateduserdatanode for more information.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node userdatanode)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrankfromallocateduserdatanode(mydatanode);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getedgeallocateddist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getedgeallocateddist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getedgeallocateddist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total length of the edge's nth ranked allocation.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num rank)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getedgeallocateddist(2,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addedgelistener</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addedgelistener</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addedgelistener_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a deallocation listener to the edge. Once added, whenever a deallocation is made on the edge, a message will be sent to the listener object. The msgsendingobject for the message will be the listener,msgparam(1) for the message will be msgcode, and msgparam(2) for the message will be the edge number that had the deallocation call made to it. Added listeners will remain as listeners until they are removed with the removeedgelistener() command.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, object sendmessageto, node msgfrom, num msgcode, num param2, num param3)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>addedgelistener(2,current,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>removeedgelistener</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>removeedgelistener</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"removeedgelistener_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Removes a listener from the edge's listeners list by matching both the listener object and the msgcode.  For more information, see allocateedge().</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, object listener, node frommsg, int msgcode, num param2, num param3)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>removeedgelistener(2,current,1);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailedgedist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailedgedist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailedgedist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total distance of the edge.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailedgedist(2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailedgeuserdatanode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailedgeuserdatanode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailedgeuserdatanode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to a tree node associated with the edge. This can be used to store custom data associated with the edge.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailedgeuserdatanode(2);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailedgefromuserdatanode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailedgefromuserdatanode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailedgefromuserdatanode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the edge number that a given edge user data node is associated with. Refer to getrailedgeuserdatanode for more information.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node userdatanode)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailedgefromuserdatanode(mynode);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getnrofrailedges</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getnrofrailedges</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getnrofrailedges_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the edge number that a given edge user data node is associated with. Refer to getrailedgeuserdatanode for more information.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node userdatanode)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailedgefromuserdatanode(mynode);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>startrailsequence</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>startrailsequence</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"startrailsequence_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Starts the rail sequence. For more information refer to the createrailsequence command.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node sequence)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>startrailsequence(sequence)</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>delayrailmoveatswitches</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>delayrailmoveatswitches</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"delayrailmoveatswitches_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Searches through the rail moves entire path and changes the move so that the train will stop short of the switch and wait for the delaytime at the switch before resuming on.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove, num delaytime, num maxspeed, num acc, num dec, num shortdist)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>delayrailmoveatswitches(railmove, 5,1,0,0)</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>createrailpath</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>createrailpath</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"createrailpath_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Creates a rail path. Use the return value of this command as the second parameter of the addrailmove() command. You can also create a rail path for explicit analysis using getrailpath... commands, instead of adding it to a railpath. Returns a reference to the railpath node. If you do not add the rail path to a rail move, you should destroy the rail path with the destroyobject() command once you are done with it. The path structure is always created in a "forward" direction based on the sequence that the network nodes were connected. This means if you create a path that travels backwards on the network, then if you want to traverse the path with getpath... commands in the direction of travel, you will need to traverse from the end of the path to the beginning. Via nodes are traveled to in sequence. The parameters are node indeces, as found in the EDGETABLE_FROM and EDGETABLE_TO columns of the Rail Manager's edgetable.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num fromedge, num fromdist, num toedge, num todist[, num via_1, num via_2, num via_3])</data></node>
     <node f="42-0" dt="2"><name>example</name><data>createrailpath(4, 2.1, 5,56.7, 0,NULL);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>truncaterailpath</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>truncaterailpath</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"truncaterailpath_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Truncates a rail path to the specified distance. Pass 1 to truncateend to have the truncate the path from its "end" or 0 to truncate the path from its "start". The start and end of the path are based on the direction your network. For example, if you connect the network from left to right, then the start of the path will be on the left side and the end will be on the right side.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, num truncatetodist, num truncateend)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>truncaterailpath(path, 50, 0);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathoverlapdist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathoverlapdist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathoverlapdist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the distance of both rail paths that overlaps.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path1, node path2, num overlapend)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailpathoverlapdist(path1, path2, 0);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathforward</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathforward</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathforward_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns 1 if the rail path direction (from the fromedge to the toedge specified in createrailpath() or addrailmove()) is forward.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailpathforward(railpath);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathdist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathdist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathdist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total distance of the rail path.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>double dist = getrailpathdist(railpath);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathnrofedges</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathnrofedges</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathnrofedges_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total number of network node edges that the rail path encompasses.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedge</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedge</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedge_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the nth edge of the rail path. The return value is the row number of the global edge table. You can use the return value with getedge... commands.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, int edgenum)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedgestartdist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedgestartdist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedgestartdist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the distance from the start of the path to the start of the specified path edge.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, num edgenum)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedgeenddist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedgeenddist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedgeenddist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the distance from the start of the path to the end of the edge specified.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, num edgenum)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedgestartnode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedgestartnode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedgestartnode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to the network node associated with the start of the path's given edge</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, num edge)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>editExample</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedgeendnode</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedgeendnode</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedgeendnode_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to the node associated with the end of the path's given edge.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, num edgenum)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>command32()</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathedgefordistalong</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathedgefordistalong</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathedgefordistalong_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the path's edge number for the edge that contains the given distance from the start of the path.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, num distance)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>getrailpathedgefordistalong(my_rail_path, 133.23);</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailmovekinematics</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailmovekinematics</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailmovekinematics_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to the kinematics node that drives the travel for the rail move. You can get access to this node, re-initialize the kinematics, and add your own kinematics to change the way the train moves along the rail path. Make sure you do any changes before the rail move starts execution. Any added kinematics should be applied to the x component of the kinematic, as all other components are ignored. The x location of the kinematic is associated with the 0 offset point of the train.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailmovepath</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailmovepath</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailmovepath_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns a reference to the path associated with the rail move.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getnetnodeport</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getnetnodeport</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getnetnodeport_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the output port number of the node associated with the start or end of the given edge. Pass in either EDGE_START or EDGE_END as the second parameter.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num startend)</data></node>
     <node f="42-0" dt="2"><name>example</name><data>command36()</data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathfirstdist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathfirstdist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathfirstdist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the distance along the path's first edge that represents the start point of the path.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailpathallocated</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailpathallocated</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailpathallocated_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Searches edges along the path to find allocations that are NOT associated with the idmask. If it finds any allocation whose allocation id is not equal to idmask, it will return 1. Otherwise it will return 0.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railpath, num idmask)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>allocaterailpath</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>allocaterailpath</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"allocaterailpath_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Allocates the entire rail path with the given id. This function encapsulates several allocateedge() calls.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, num id [, num accumulate])</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailmovetimetotravel</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailmovetimetotravel</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailmovetimetotravel_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the amount of time it will take to travel the given distance from the time the rail move operation starts.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove, num dist)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailmovetraveldist</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailmovetraveldist</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailmovetraveldist_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the total travel distance for the rail move. If the rail move's kinematics have not been manually changed, then this is the total distance of the path minus the size of the train.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>getrailmovetrainsize</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>getrailmovetrainsize</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"getrailmovetrainsize_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Returns the stored train size of the rail move.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node railmove)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>deallocaterailpath</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>deallocaterailpath</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"deallocaterailpath_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deallocates all edges on the rail path. The excludedist will be excluded from the deallocation. This is so you can leave allocated the length of track that the train finally rests on after a rail move operation. If the path is a forward path, then the excludedist will be applied to the end of the path. If it is a backwards path, the excludedist will be applied to the start of the path. If id is 0, then it will deallocate the path no matter what ids the path was allocated with. If id &gt; 0, then it will only deallocate allocations that match the given id.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, num excludedist, num id)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>deallocateedgerange</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>deallocateedgerange</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"deallocateedgerange_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Deallocates the range of the specified edge. If id = 0, then it will deallocate/truncate all allocations within that range, no matter what id they are allocated as. If id &gt; 0, then it will only deallocate allocations that match the given id.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num startpoint, num dist, num id)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>truncateedgeallocation</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>truncateedgeallocation</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"truncateedgeallocation_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Truncates one or both sides of an allocation. This is mostly for lower level edge allocation management.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(num edge, num allocationrank, num newstartpoint, num newdist[, num nonotify])</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>addrailpathlistener</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>addrailpathlistener</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"addrailpathlistener_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Adds a listener to the specified path. Once added, as soon as the entire path becomes available (!getpathallocated(path, idmask)), a message will be sen to the specified object with the given parameters. Remember to remove the listener after you are finished.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, object sendmessageto, node msgfrom, num msgcode, num param2, num param3, num idmask)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>removerailpathlistener</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-0"><name>command</name>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>removerailpathlistener</name>
     <node f="40-0"><name></name></node>
     <node f="42-10000" dt="2"><name>code</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"removerailpathlistener_usercommand"</data></node>
     <node f="42-0" dt="2"><name>description</name><data>Removes a given rail path listener.</data></node>
     <node f="42-0" dt="2"><name>parameters</name><data>(node path, object sendmessageto, node msgfrom, num msgcode, num param2, num param3, num idmask)</data></node>
     <node f="42-0" dt="2"><name>example</name><data></data></node></node></node>
   <node f="42-0" dt="2"><name>picture</name><data>buttons/_compiler.bmp</data></node></data></node>
  <node f="42-0" dt="4"><name>Miscellaneous</name><data>
   <node f="40-0"><name></name></node>
   <node f="42-4" dt="2"><name>dropscript</name><data>
if(objectexists(node("/RailNetworkManager",model())))
	destroyobject(node("/RailNetworkManager",model()));
treenode manager = createcopy(node("..&gt;RailNetworkManager", c), model(), 1);
setrank(manager, 2);


treenode nav = node("/DefaultNetworkNavigator", model());
if(!objectexists(nav))
{
	nav = createinstance(node("/NetworkNavigator", library()), model());
	setname(nav, "DefaultNetworkNavigator");
}
setrank(nav, getrank(node("/RailNetworkManager", model()))+1);
set(node("&gt;variables/modified", nav), 1);

if(objectexists(node("/Tools/RailFunctions",model())))
	destroyobject(node("/Tools/RailFunctions",model()));
if(objectexists(node("/Tools/RailAPIIncludes", model())))
	destroyobject(node("/Tools/RailAPIIncludes", model()));
createcopy(node("..&gt;RailAPIIncludes", c), node("/Tools",model()), 1);

treenode modelbinaries = node("/Tools/modelbinaries", model());
if(!objectexists(modelbinaries))
{
	nodeinsertinto(node("/Tools", model()));
	modelbinaries = last(node("/Tools", model()));
	setname(modelbinaries, "modelbinaries");
}
if(objectexists(node("/RailAPI", modelbinaries)))
	destroyobject(node("/RailAPI", modelbinaries));
if(objectexists(node("/delayloading", modelbinaries)))
	destroyobject(node("/delayloading", modelbinaries));

createcopy(node("..&gt;modelbinaries/RailAPI", c), modelbinaries, 1);
createcopy(node("..&gt;modelbinaries/delayloading", c), modelbinaries, 1);
</data></node>
   <node f="62-400" dt="4" cpptype="24"><name>RailNetworkManager</name><data>
    <node f="40-0"><name></name></node>
    <node f="42-0"><name>classes</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="3"><name>Dispatcher</name><data><coupling>null</coupling></data></node>
     <node f="42-0" dt="1"><name>FlexsimObject</name><data>e00000004190436a</data></node></node>
    <node f="42-0"><name>superclasses</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="3"><name>FlexsimObject</name><data><coupling>null</coupling></data></node></node>
    <node f="42-0"><name>variables</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="1"><name>passimmediately</name><data>0000000000000000</data>
      <node f="40-0"><name></name></node></node>
     <node f="42-0" dt="2"><name>passto</name><data>fsnode* item = parnode(1);
fsnode* current = ownerobject(c);

//PROSESTART
//Pass to the first available object.  If there are none currently available, then queue the tasksequence up using the Queue Strategy and wait until someone connected to its output ports becomes available.
//PROSEEND


//PARAMSTART
 
//PARAMEND

//PROSESTART
// 
//PROSEEND

return 0;</data>
      <node f="40-0"><name></name></node></node>
     <node f="42-0"><name>tasksequencequeue</name></node>
     <node f="42-0" dt="2"><name>queuestrategy</name><data>fsnode* tasksequence = parnode(1);
//PROSESTART
//Sort by the priority of the task sequence.
//PROSEEND
//PARAMSTART
 
//PARAMEND
//PROSESTART
// 
//PROSEEND
return getpriority(tasksequence);</data>
      <node f="40-0"><name></name></node></node>
     <node f="42-0" dt="1"><name>lastrecursetime</name><data>00000000bff00000</data></node>
     <node f="42-0" dt="1"><name>lastrecurseinvolved</name><data>0000000000000000</data></node>
     <node f="42-0"><name>coordinatedtasks</name></node>
     <node f="42-0" dt="2"><name>onresourceavailable</name><data>fsnode* current = ownerobject(c);
int port = parval(1);
fsnode* resource = parnode(2);

//PROSESTART
//Do Nothing
//PROSEEND
//PARAMSTART
 
//PARAMEND
//PROSESTART
 
//PROSEEND
</data></node>
     <node f="42-10000" dt="2"><name>messagetrigger</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"managermessage"</data>
      <node f="40-0"><name></name></node></node>
     <node f="42-10000" dt="2"><name>ondrawtrigger</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"railnetworkmanagerondraw"</data></node>
     <node f="42-0"><name>timetables</name></node>
     <node f="42-0"><name>networknodes</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0" dt="1"><name>timeoflaststop</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>nrofstops</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>statebeforestop</name><data>0000000000000000</data></node>
     <node f="42-0"><name>collisionspheres</name></node>
     <node f="42-0"><name>collisionobjects</name></node>
     <node f="42-10000" dt="2"><name>resettrigger</name><data>dll:"..\libraries\RailAPI\RailAPI.dll" function:"railnetworkmanageronreset"

</data></node>
     <node f="42-0" dt="1"><name>savedstate</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>resetposition</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>doanimations</name><data>000000003ff00000</data></node></node>
    <node f="42-0"><name>behaviour</name>
     <node f="40-0"><name></name></node>
     <node f="42-0"><name>eventfunctions</name></node>
     <node f="42-0"><name>cppfunctions</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0"><name>cppvariables</name></node></node>
    <node f="42-0"><name>visual</name>
     <node f="40-0"><name></name></node>
     <node f="42-0"><name>color</name>
      <node f="40-0"><name></name></node>
      <node f="42-0" dt="1"><name>red</name><data>b0b0b0b13fe0b0b0</data></node>
      <node f="42-0" dt="1"><name>green</name><data>b0b0b0b13fe0b0b0</data></node>
      <node f="42-0" dt="1"><name>blue</name><data>b0b0b0b13fe0b0b0</data></node></node>
     <node f="42-0" dt="2"><name>shape</name><data></data></node>
     <node f="42-0" dt="1"><name>shapeindex</name><data>0000000000000000</data></node>
     <node f="42-0" dt="2"><name>picture</name><data>bitmaps\taskmanagerpicture.bmp</data></node>
     <node f="42-0" dt="2"><name>imageobject</name><data>***</data></node>
     <node f="42-0" dt="1"><name>imageindexobject</name><data>0000000000000000</data></node>
     <node f="42-0" dt="2"><name>imagebase</name><data>***</data></node>
     <node f="42-0" dt="1"><name>imageindexbase</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>nochildscale</name><data>000000003ff00000</data></node></node>
    <node f="42-0"><name>special</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="2"><name>title</name><data>Fixed Resource Multiservice</data></node>
     <node f="42-0" dt="2"><name>description</name><data></data></node>
     <node f="42-0" dt="2"><name>guifocus</name><data>VIEW:/standardviews/ObjectProperties</data></node>
     <node f="42-0" dt="2"><name>guifocusclass</name><data>VIEW:/pages/DispatcherParameters</data></node>
     <node f="42-0"><name>reportvariables</name>
      <node f="40-0"><name></name></node>
      <node f="42-0"><name>passimmediately</name></node>
      <node f="42-0"><name>passto</name></node>
      <node f="42-0"><name>queuestrategy</name></node>
      <node f="42-0"><name>messagetrigger</name></node>
      <node f="42-0"><name>ondrawtrigger</name></node>
      <node f="42-0"><name>collisionspheres</name></node>
      <node f="42-0"><name>collisionobjects</name></node>
      <node f="42-0"><name>resettrigger</name></node></node></node>
    <node f="42-0"><name>spatial</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="1"><name>spatialx</name><data>00000000c0220000</data></node>
     <node f="42-0" dt="1"><name>spatialy</name><data>0000000040300000</data></node>
     <node f="42-0" dt="1"><name>spatialz</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>spatialsx</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>spatialsy</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>spatialsz</name><data>9999999a3fb99999</data></node>
     <node f="42-0" dt="1"><name>spatialrx</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>spatialry</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>spatialrz</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsetx</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsety</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsetz</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsetsx</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>offsetsy</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>offsetsz</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>offsetrx</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsetry</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>offsetrz</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>centroid</name><data>000000003ff00000</data></node></node>
    <node f="42-0" dt="1"><name>ignoredraw</name><data>0000000000000000</data></node>
    <node f="42-0"><name>labels</name>
     <node f="40-0"><name></name></node>
     <node f="42-0" dt="1"><name>sequences</name><data>0000000000000000</data>
      <node f="40-0"><name></name></node></node>
     <node f="42-0" dt="1"><name>edgetable</name><data>0000000000000000</data></node>
     <node f="42-0"><name>railpaths</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0"><name>railpathlisteners</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0" dt="1"><name>showpaths</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>showswitches</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>showallocations</name><data>000000003ff00000</data></node>
     <node f="42-0" dt="1"><name>showvelocities</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>showturnouts</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>updatemode</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>updateinterval</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>nextupdateevent</name><data>00000000bff00000</data></node></node>
    <node f="42-0"><name>connections</name>
     <node f="40-0"><name></name></node>
     <node f="42-0"><name>connectionsin</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0"><name>connectionsout</name>
      <node f="40-0"><name></name></node></node>
     <node f="42-0"><name>connectionscenter</name>
      <node f="40-0"><name></name></node></node></node>
    <node f="42-0"><name>events</name>
     <node f="40-0"><name></name></node></node>
    <node f="42-0"><name>stats</name>
     <node f="40-0"><name></name></node>
     <node f="42-0"><name>state</name>
      <node f="40-0"><name></name></node>
      <node f="42-0" dt="1"><name>state_current</name><data>0000000040000000</data></node>
      <node f="42-0" dt="1"><name>state_changetime</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>state_since</name><data>0000000000000000</data></node>
      <node f="42-0" dt="2"><name>state_profile</name><data>State</data>
       <node f="40-0"><name></name></node>
       <node f="42-0" dt="1"><name>idle</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>processing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>busy</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>blocked</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>generating</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>empty</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>collecting</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>releasing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>waiting_for_operator</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>waiting_for_transporter</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>breakdown</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>scheduled_down</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>conveying</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>travel_empty</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>travel_loaded</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>offset_travel_empty</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>offset_travel_loaded</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>loading</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>unloading</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>down</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>setup</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>utilize</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>full</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>not_empty</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>filling</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>starved</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>mixing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>flowing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>allocated_idle</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>off_shift</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>change_over</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>repair</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>maintenance</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>lunch</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>on_break</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>suspend</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>available</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>preprocessing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>postprocessing</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>inspecting</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>operating</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>standby</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>purging</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>cleaning</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>accelerating</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>maxspeed</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>decelerating</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>stopped</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>waiting</name><data>0000000000000000</data></node>
       <node f="42-0" dt="1"><name>accumulating</name><data>0000000000000000</data></node></node>
      <node f="42-0"><name>state_graph</name></node></node>
     <node f="42-0"><name>content</name>
      <node f="40-0"><name></name></node>
      <node f="42-0" dt="1"><name>stats_contentmin</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_contentmax</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_contentavg</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_contentupdates</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_contentsince</name><data>0000000000000000</data></node>
      <node f="42-0" dt="2"><name>stats_contentgraph</name><data>Content vs. Time</data></node>
      <node f="42-0" dt="1"><name>stats_contentgraphmaxpoints</name><data>0000000040590000</data></node>
      <node f="42-0" dt="1"><name>stats_content</name><data>0000000000000000</data></node></node>
     <node f="42-0"><name>staytime</name>
      <node f="40-0"><name></name></node>
      <node f="42-0" dt="1"><name>stats_staytimemin</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_staytimemax</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_staytimeavg</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_staytimeupdates</name><data>0000000000000000</data></node>
      <node f="42-0" dt="2"><name>stats_staytimegraph</name><data>Staytime</data></node>
      <node f="42-0"><name>stats_staytimehisto</name>
       <node f="40-0"><name></name></node>
       <node f="42-0"><name>parameters</name>
        <node f="40-0"><name></name></node>
        <node f="42-0" dt="1"><name>startvalue</name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name>endvalue</name><data>0000000040590000</data></node>
        <node f="42-0" dt="1"><name>buckets</name><data>0000000040340000</data></node></node>
       <node f="42-0" dt="2"><name>data</name><data>Staytime</data>
        <node f="40-0"><name></name></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name></name><data>0000000000000000</data></node></node>
       <node f="42-0" dt="1"><name>interval</name><data>0000000000000000</data>
        <node f="40-0"><name></name></node>
        <node f="42-0" dt="1"><name>mean</name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name>lo</name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name>hi</name><data>0000000000000000</data></node>
        <node f="42-0" dt="1"><name>percent</name><data>000000004057c000</data></node>
        <node f="42-0" dt="1"><name>auto</name><data>000000003ff00000</data></node></node></node>
      <node f="42-0" dt="1"><name>stats_staytimegraphmaxpoints</name><data>0000000040590000</data></node>
      <node f="42-0" dt="1"><name>stats_staytimesince</name><data>0000000000000000</data></node></node>
     <node f="42-0"><name>throughput</name>
      <node f="40-0"><name></name></node>
      <node f="42-0" dt="1"><name>stats_input</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_output</name><data>0000000000000000</data></node>
      <node f="42-0" dt="1"><name>stats_throughput</name><data>0000000000000000</data></node>
      <node f="42-0" dt="2"><name>stats_throughputgraph</name><data>Throughput</data></node>
      <node f="42-0" dt="1"><name>stats_throughputgraphmaxpoints</name><data>0000000000000000</data></node></node>
     <node f="42-0" dt="1"><name>stats_creationtime</name><data>0000000000000000</data></node>
     <node f="42-0" dt="1"><name>stats_lastmovetime</name><data>0000000000000000</data></node></node>
    <node f="42-0"><name>stored</name></node></data></node>
   <node f="42-0"><name>modelbinaries</name>
    <node f="40-0"><name></name></node>
    <node f="42-0" dt="2"><name>RailAPI</name><data>..\..\..\libraries\RailAPI\RailAPI.lib delayimp.lib</data></node></node>
   <node f="42-40000" dt="2"><name>RailAPIIncludes</name><data>#include "..\..\..\libraries\RailAPI\include\railapifunctions.h"
#include "..\..\..\libraries\RailAPI\include\edgefunctions.h"
#include "..\..\..\libraries\RailAPI\include\railpathfunctions.h"
#include "..\..\..\libraries\RailAPI\include\railsequencefunctions.h"
</data></node></data></node></node>
 <node f="42-0" dt="2"><name>release</name><data>5.0</data></node></data>
 <node f="40-0"><name></name></node></node></flexsim-tree>
