// Rail API Copyright 2007-2008 by Flexsim Software Products Inc.
/*
	This code may be freely distributed as open source code, as long as you 
	include this copyright statement with your distribution of the Rail API. 

	If you make changes to the core Rail API functionality, namely any code
	included in the Tools/RailAPI folder as well as any user commands, 
	objects, GUIs or components installed with the RailAPI library, then 
	you must share those changes freely with the Flexsim community.
*/

#ifndef RAIL_EDGE
#define RAIL_EDGE
#include "flexsimbasicdefs.h"

DLL_FUNCTION int getedgeallocationbyid(int edge, int id);
DLL_FUNCTION int allocateedge(int edge, double startpoint, double dist, int id, int accumulate = 0);
DLL_FUNCTION void notifylistenersofdeallocation(int edge);
DLL_FUNCTION int deallocateedge(int edge, int id);
DLL_FUNCTION int deallocateedgebypoint(int edge, double point);
DLL_FUNCTION int deallocateedgebyrank(int edge, int foundrank);
DLL_FUNCTION int truncateedgeallocation(int edge, int foundrank, double newstartpoint, double newdist, int nonotify = 0);
DLL_FUNCTION int deallocateedgerange(int edge, double startpoint, double dist, int id);
DLL_FUNCTION double getedgeminallocated(int edge);
DLL_FUNCTION double getedgemaxallocated(int edge);
DLL_FUNCTION double getedgenrallocated(int edge);
DLL_FUNCTION double getedgeallocatedstartpoint(int edge, int allocrank);
DLL_FUNCTION double getedgeallocateddist(int edge, int allocrank);
DLL_FUNCTION double getedgeallocatedid(int edge, int allocrank);
DLL_FUNCTION treenode getedgeallocateduserdatanode(int edge, int allocrank);
DLL_FUNCTION int getedgefromallocateduserdatanode(treenode userdatanode);
DLL_FUNCTION int getrankfromallocateduserdatanode(treenode userdatanode);
DLL_FUNCTION int addedgelistener(int edge, treenode listener, treenode fromobject, int msgcode, double param2, double param3);
DLL_FUNCTION int removeedgelistener(int edge, treenode listener, treenode fromobject, int msgcode, double param2, double param3);
DLL_FUNCTION int createedgetable();
DLL_FUNCTION double getrailedgedist(int edge);
DLL_FUNCTION treenode getrailedgeuserdatanode(int edge);
DLL_FUNCTION int getrailedgefromuserdatanode(treenode userdatanode);
DLL_FUNCTION int getnrofrailedges();


#endif
