// Rail API Copyright 2007-2008 by Flexsim Software Products Inc.
/*
	This code may be freely distributed as open source code, as long as you 
	include this copyright statement with your distribution of the Rail API. 

	If you make changes to the core Rail API functionality, namely any code
	included in the Tools/RailAPI folder as well as any user commands, 
	objects, GUIs or components installed with the RailAPI library, then 
	you must share those changes freely with the Flexsim community.
*/

#ifndef RAIL_PATH
#define RAIL_PATH
#include "flexsimbasicdefs.h"

DLL_FUNCTION int getrailpathforward(treenode path);
DLL_FUNCTION double getrailpathdist(treenode path);
DLL_FUNCTION int getrailpathnrofedges(treenode path);
DLL_FUNCTION int getrailpathedge(treenode path, int index);
DLL_FUNCTION double getrailpathedgestartdist(treenode path, int index);
DLL_FUNCTION double getrailpathedgeenddist(treenode path, int index);
DLL_FUNCTION treenode getrailpathedgestartnode(treenode path, int index);
DLL_FUNCTION treenode getrailpathedgeendnode(treenode path, int index);
DLL_FUNCTION double getrailpathfirstdist(treenode path);
DLL_FUNCTION int getrailpathedgefordistalong(treenode path, double dist);
DLL_FUNCTION int getrailpathallocated(treenode path, int idmask);
DLL_FUNCTION int getrailpathidallocated(treenode path, int idsearch);
DLL_FUNCTION int allocaterailpath(treenode path, int id, int accumulate = 0);
DLL_FUNCTION void deallocaterailpath(treenode path, double excludedist, int id);
DLL_FUNCTION int addrailpathlistener(treenode path, treenode object, treenode fromobject, int msgcode, double param2, double param3, int idmask);
DLL_FUNCTION int removerailpathlistener(treenode path, treenode object, treenode fromobject, int msgcode, double param2, double param3, int idmask);
DLL_FUNCTION int removerailpathlistener(treenode path, treenode object, treenode fromobject, int msgcode, double param2, double param3, int idmask);
DLL_FUNCTION treenode createrailpath(int fromedge, double fromdist, int toedge, double todist, int via_1 = 0, int via_2 = 0, int via_3 = 0);
DLL_FUNCTION int truncaterailpath(treenode railpath, double truncatetodist, int truncateend);
DLL_FUNCTION double getrailpathoverlapdist(treenode path1, treenode path2, int overlapend);

#endif

