// Rail API Copyright 2007-2008 by Flexsim Software Products Inc.
/*
	This code may be freely distributed as open source code, as long as you 
	include this copyright statement with your distribution of the Rail API. 

	If you make changes to the core Rail API functionality, namely any code
	included in the Tools/RailAPI folder as well as any user commands, 
	objects, GUIs or components installed with the RailAPI library, then 
	you must share those changes freely with the Flexsim community.
*/

#ifndef RAIL_SEQUENCE
#define RAIL_SEQUENCE
#include "flexsimbasicdefs.h"

DLL_FUNCTION treenode getrailmovekinematics(treenode move);
DLL_FUNCTION treenode getrailmovepath(treenode move);
DLL_FUNCTION double getrailmovetimetotravel(treenode move, double dist);
DLL_FUNCTION double getrailmovetraveldist(treenode move);
DLL_FUNCTION double getrailmovetrainsize(treenode move);
DLL_FUNCTION void startrailsequence(treenode sequence);
// see addrailmove command documentation
DLL_FUNCTION treenode addrailmove(treenode sequence, treenode path, double speed, double acc, double dec, double length, int deallocateid, double coupledecoupleoffset = 0, int coupledecoupleafter = 0);
class switchlist
{
	public:
	struct switchstruct
	{
		double maxspeed;
		double oncovermaxspeed;
		double onuncovermaxspeed;
		double distalong;
		int needtoswitch;
	};
	
	switchstruct * switches;
	double trainsize;
	double trainendpoint;
	int nrofswitches;
	int startindex;//the index to the first switch that is currently under the train
	int endindex;// the index to the last switch that is currently under the train
	int isforward;
	
	switchlist();
	~switchlist();
	void initialize(treenode move, double maxspeed, double acc, double dec, double shortdist);
	double calculatemaxspeed(double trainmaxspeed);
	void movetrain(double dist);
	void movetrainto(double point);
	double covernext();
	double uncovernext();
	int calculatenextmove(double * maxspeed, double * endspeed, double* dist, double maxtravel);
};

DLL_FUNCTION double delayrailmoveatswitch(treenode move, double maxspeed, double acc, double dec, double shortdist, double startatdist, switchlist& curswitchlist);
DLL_FUNCTION void delayrailmoveatswitches(treenode move, double maxspeed, double acc, double dec, double shortdist);
// see addraildelay command documentation
DLL_FUNCTION int addraildelay(treenode sequence, double delaytime);
// see addrailwait command documentation
DLL_FUNCTION int addrailwait(treenode sequence);
// see continuefromrailwait command documentation
DLL_FUNCTION int continuefromrailwait(treenode sequence);
// see addrailsendmesssage command documentation
DLL_FUNCTION int addrailsendmessage(treenode sequence, treenode toobject, treenode fromobj, double msgp1=0, double msgp2=0, double msgp3=0, double delaytime=0);
// startsequenceitem executes an item of the sequence
// the sequence node's value is the rank of the currently active sequence item

DLL_FUNCTION int startsequenceitem(treenode manager, treenode sequence);
DLL_FUNCTION int addrailtraveler(treenode sequence, treenode traveler, double offset);
DLL_FUNCTION int couplerailtraveler(treenode move, treenode traveler, double offset);
DLL_FUNCTION int decouplerailtraveler(treenode move, treenode traveler);
//had to use a new name for the function (the addition of the underscore) because user commands need to have parameters 
DLL_FUNCTION treenode _createrailsequence(double trainlength = 0);
DLL_FUNCTION int getpathposition(treenode path, treenode edgetable, double location, double* position, double* rotation);
DLL_FUNCTION int updatesequence(treenode manager, treenode sequence);
DLL_FUNCTION double updatesequences(treenode manager);


#endif
